#
# spec file for package termcap (Version 2.0.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         termcap
Copyright:    LGPL
Group:        System Environment/Libraries
Autoreqprov:  on
Version:      2.0.8
Release:      406
Summary:      The termcap library
Source:   termcap-2.0.8.tar.gz
Source1:  curses-bsd4.4.tar.gz
Patch:    termcap-2.0.8.dif
Patch1:   curses-bsd4.4-linux.patch
BuildRoot: /var/tmp/termcap

%description
The termcap library

Authors:
--------
    H.J. Lu <hjl@gnu.ai.mit.edu>
    David J. MacKenzie <djm@gnu.ai.mit.edu>

SuSE series: a

%prep
%setup -b 0 -b 1
%patch  -p0
cd ../curses-bsd4.4
%patch1 -p0

%build
mkdir termcap
ln -sf ../termcap.h termcap/
make
cd ../curses-bsd4.4
make

%install
mkdir -p ${RPM_BUILD_ROOT}/usr/lib
mkdir -p ${RPM_BUILD_ROOT}/usr/include
make install prefix=${RPM_BUILD_ROOT}/usr
cd ../curses-bsd4.4
make install prefix=${RPM_BUILD_ROOT}/usr

%clean
test -z "${RPM_BUILD_ROOT}" || rm -rf "${RPM_BUILD_ROOT}"

%files
%dir /usr/include/curses
%dir /usr/lib/curses
/usr/include/curses/curses.h
/usr/lib/curses/libcurses.a
/usr/lib/curses/libcurses.so
/usr/lib/libcurses.so.1
/usr/lib/libcurses.so.1.0.0
%dir /usr/include/termcap
%dir /usr/lib/termcap
/usr/include/termcap/termcap.h
/usr/lib/libtermcap.so.2
/usr/lib/libtermcap.so.2.0.8
/usr/lib/termcap/libtermcap.a
/usr/lib/termcap/libtermcap.so

%changelog -n termcap
* Fri Oct 13 2000 - werner@suse.de
- use old BSD curses for compiling libcurses
* Fri Oct 06 2000 - kukuk@suse.de
- change group tag
* Sun Oct 01 2000 - kukuk@suse.de
- Fix for glibc 2.2
* Sun Nov 28 1999 - kukuk@suse.de
- Include binary only libcurses only on Intel
- Don't build ignored info pages, remove tetex dependency
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 18 1999 - kukuk@suse.de
- Check for possible buffer overflow
* Wed Jul 28 1999 - schwab@suse.de
- Correctly handle \072 and \\
* Fri Oct 17 1997 - ro@suse.de
- curses 1.0.0 binary used
  ready for autobuild
* Thu Jan 02 1997 - 
  libcurses added.
  die libbcurses.so.1.0.0 bzw. libcurses.a sind aber aus der November und mit
  gcc 2.6.4 bersetzt (original Slackware).  Was fehlt, sind die Sourcen,
  die Patrick Volkerding verwendete ... die sind auf unserem Mirror nicht
  zu finden ... nur eine wesentlich ltere Version.
